*,
::after,
::before {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

body{
  background-color: rgb(196, 196, 196);
  line-height: 1.5;
  font-size: 0.875rem;
}
.logo{
  justify-self: center;
  height: 170px;
  margin-left: 15px;}
  .box-2{
    background-color: rgba(214, 221, 221, 0.818);
    height: 380px;
    margin-top: 5px;
}
.box-3{
  height: 380px;
  margin-top: 5px;
  background-color: rgb(164, 164, 162);
}
.pc-img-1{
  width: 500px;
  height: 300px;
  margin-left: 30px;
  margin-top: 60px;
  transition: filter 0.5s;
  position: relative;
  left: 50%;
  filter: blur(3px);
  
}
.siderbar-toggle{
    position: fixed;
    top: 2rem;
    right: 4rem;
    font-size: 3rem;
    background: transparent;
    border-color: transparent;
    color: var(--clr-primary-5);
    transition: var(--transition);
    cursor: pointer;
    animation: bounce 2s ease-in-out infinite;
    width: 30px;

}
.sidebar{
  position: fixed;
top: 0;
left: 0;
width: 100%;
height: 100%;
background: var(--clr-white);
display: grid;
grid-template-rows: auto 1fr auto;
row-gap: 10rem;
box-shadow: 3px 3px 3px 3px rgba(179, 176, 176, 0.639);
transition: var(--transition);
background-color: rgb(242, 245, 245);
transition: 2.2s cubic-bezier(.36,-0.01,0,.77);
transform: translate(-100%);

}

.show-sidebar{
  transform: translate(0);
  flex-basis: 0;
}
h1{
  margin-left: 40px;
  font-size: 20px;
  letter-spacing: 0.5rem;
  text-align: center;
  margin-right: 20px;
}
h1:hover{
  transition: all 300ms;
  transform: scale(1.1);
  color: rgb(10, 88, 130);
}
.box
{
background-color: rgba(166, 171, 169, 0.7);
height: 150px;
box-shadow: 2px 2px 2px 2px rgba(146, 145, 145, 0.923);
}
.logo-1{
  width: 90px;
  height: 90px;
  padding: 10px;
  display: block;
  margin: auto ;
}
.logo-1:hover{
  transition: all 300ms;
  transform: scale(1.2);
}
.close-btn {
  font-size: 1.70rem;
  background: transparent;
  border-color: transparent;
  color: var(--clr-primary-5);
  transition: var(--transition);
  cursor: pointer;
  color: var(--clr-red-dark);
  color: rgb(84, 82, 82);
  margin-left: 140px;
  margin-top:  -120px;
}
.close-btn:hover {
  color: var(--clr-red-light);
  transform: rotate(360deg);
} 
.sidebar {
  width: 400px;
}
.container-box{
  background-color: black;
  width: 120px;
  height: 120px;
  position: absolute;
  top: 260px;
  margin-left: 670px;
  font-size: 18px;
}

.pc-img{
  width: 500px;
  height: 300px;
  margin-left: 30px;
  margin-top: 30px;
  transition: filter 0.5s;
}
.text-container{
  position: absolute;
  top: 200px;
  margin-left: 670px;
  opacity: 0;
  transition: opacity 3s ease;
  display: none;

}
.text-container-2{
  position: absolute;
  margin-top: -240px;
  margin-left: 230px;
  font-size: 20px;
  opacity: 0;
  transition: opacity 3s ease;
  display: block;
  
  }
  .text-container.show{
    display: block;
    opacity: 1;
  }
  .text-container-2.show{
    display: block;
    opacity: 1;
  }
  .pc-img:hover{
    filter: none;
    transition: filter 0.5s;
  }
  .bi
{
margin-left: 30px;
margin-bottom: 140px;
}
  ul{
    list-style-type: none;
  }
  a{
    text-decoration: none;
  }
  .links a {
    display: block;
    font-size: 1rem;
    text-transform: capitalize;
    padding: 1rem 1rem;
    color: rgb(74, 161, 215);
    transition: var(--transition);
    margin-bottom: -10px;

  }
  .links a:hover{
    color: rgb(11, 74, 152);
    transition: width 1s, height 1s, transform 1s;
    transform: rotate(3deg);
    zoom: 1.2;
  }
  li a{
    margin-bottom: 60px;
  }
  .social-icons-bar{
    justify-self: center;
    display: flex;
    padding: 20px;
    margin-left: 20px;
    

  }
  .social-icons a:hover{
    color: rgb(22, 89, 171);
    zoom: 1.2;

  }

  .fab
  {
      margin: 10px;
      font-size: 20px;
      color: rgb(46, 132, 185);
  }
  .fab:hover
  {
      color: rgb(11, 74, 152);
      transition: width 1s, height 1s, transform 1s;
      transform: rotate(3deg);
  }

  .pc-img{
    width: 500px;
    height: 300px;
    margin-left: 30px;
    margin-top: 30px;
  
  }
  .pc-img.blur{
    filter: blur(3px);
  }
  .pc-img-1.blur{
    filter: blur(3px);
  }

.bi:hover{
  transition: all 300ms;
transform: scale(1.4);
}
.text-container{
  position: absolute;
  top: 260px;
  margin-left: 670px;
  font-size: 17px;
  opacity: 0;
  transition: opacity 3s ease;
  display: none;

}
.username{
  width: 100%;
  padding: 6px 10px;
  margin: 8px 0;
  display: inline-block;
  box-sizing: border-box;
}
.password{
  width: 100%;
  padding: 6px 10px;
  margin: 8px 0;
  display: inline-block;
  box-sizing: border-box;
}
button {
  background-color: #3053f3;
  color: white;
  padding: 14px 20px;
  margin: 8px 0;
  border: none;
  cursor: pointer;
  width: 100%;
}
button:hover {
  opacity: 0.8;
}
.container {
  padding: 16px;
}
span.psw {
  float: right;
  padding-top: 16px;
}
span.psw {
  display: block;
  float: none;
}
.cancelbtn {
  width: 100%;
}
input[type="text"]{
  line-height: 36px
}
input[type="password"]{
  line-height: 36px
}
input
{
  width:300px;
}

.bi--2{
  position: relative;
  transition: transform 300ms !important;
  top: -90px;
  margin-left: 390px;
}
.bi--2:hover,
.bi:hover{
  transition: all 300ms !important;
transform: scale(1.4) !important;
}
input[type="checkbox"]{
 position: relative;
 margin-left: -120px;
}


.footer-content {
  display: inline-block;
  width: 30%; /* Larghezza di ciascuna colonna */
  vertical-align: top; /* Allinea le colonne in alto */
  padding: 0 20px; /* Spazio tra le colonne */
}

.footer-content {
  margin-bottom: 30px;
}

.container-footer{
  padding: 19px;

}
.social-icons{
  margin-left: -40px;
  justify-self: center;
  display: flex;
  padding: 20px;
  margin-left: -50px;
}
.copyright{
text-align: center;
}